View Issue Details

IDProjectCategoryView StatusLast Update
0001795SOGoWeb Calendarpublic2012-07-23 09:35
Reporterkaiser Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.14 
Fixed in Version1.3.16 
Summary0001795: Multiple resource reservation when there is repeating event
Description

I have find out annoying bug. SOGo let you make reservation of resource when there is already event that is (for example) weekly repeating.

If you want to make reservation of same resource in time when is there any non repeating event, system tells you that you can't do that (maximal number of current reservation was achieved).

How to cause bug:
1) Make any repeating event and invite resource
2) Make second event and invite resource at same time as you do on step 1
3) Now, you can see two events in calendar of resource at same time.

Thank you for advice

Regards
Petr

TagsNo tags attached.

Activities

ludovic

ludovic

2012-05-09 07:53

administrator   ~0003865

This is already fixed. It'll be part of 1.3.15.

kaiser

kaiser

2012-05-09 08:04

reporter   ~0003866

I'm sorry I have find out that we have this version: 2.0.0.20120413-1

kaiser

kaiser

2012-05-09 08:21

reporter   ~0003868

Last edited: 2012-05-09 08:30

Is that fix already in any nightly build?
Thank you

ludovic

ludovic

2012-05-09 08:47

administrator   ~0003869

Yes, try to upgrade.

kaiser

kaiser

2012-05-09 10:10

reporter   ~0003874

Hi, we have updated to latest nigthly (2.0.0.20120509-1) and problem is not solved :(

Regards

Christian Mack

Christian Mack

2012-05-10 08:35

developer   ~0003880

Could you provide a screen shot for this?

kaiser

kaiser

2012-05-11 04:11

reporter   ~0003887

screenshot of two events in same time or screenshot of configuration?

Christian Mack

Christian Mack

2012-05-11 04:14

developer   ~0003888

Screenshot with the two events in the resource.
Both with opened details please.

2012-05-11 04:21

 

resource.png (95,383 bytes)   
resource.png (95,383 bytes)   
kaiser

kaiser

2012-05-11 04:22

reporter   ~0003889

Done... screenshot is attached

Christian Mack

Christian Mack

2012-05-11 04:33

developer   ~0003890

These two events are not at the same day!
One is at the 15-th the other at the 16-th.
So booking is correct for both.

But they are displayed incorrectly at the same day.

kaiser

kaiser

2012-05-11 04:46

reporter   ~0003891

Second event has set repeating weekly and firstly was on 15. February (I have opened repeatly event with edit all). So both of events are at the same day.

Christian Mack

Christian Mack

2012-05-14 03:36

developer   ~0003900

Sorry, didn't see that months are different too.
Should have guessed it :-/

kaiser

kaiser

2012-06-06 05:50

reporter   ~0004022

Hi,
we log MySQL query while creating that repeating event and got following response: SOGo ask database if there are some future events within one year. But then do not filter events that are at same time. So every event cause exception "maximal number of current reservation was achieved"...

We have latest nightly build...

ludovic

ludovic

2012-07-23 09:35

administrator   ~0004189

This has been fixed in v1.3.16.

Issue History

Date Modified Username Field Change
2012-05-09 07:50 kaiser New Issue
2012-05-09 07:53 ludovic Note Added: 0003865
2012-05-09 08:04 kaiser Note Added: 0003866
2012-05-09 08:21 kaiser Note Added: 0003868
2012-05-09 08:30 kaiser Note Edited: 0003868
2012-05-09 08:47 ludovic Note Added: 0003869
2012-05-09 10:10 kaiser Note Added: 0003874
2012-05-10 08:35 Christian Mack Note Added: 0003880
2012-05-11 04:11 kaiser Note Added: 0003887
2012-05-11 04:14 Christian Mack Note Added: 0003888
2012-05-11 04:21 kaiser File Added: resource.png
2012-05-11 04:22 kaiser Note Added: 0003889
2012-05-11 04:33 Christian Mack Note Added: 0003890
2012-05-11 04:46 kaiser Note Added: 0003891
2012-05-14 03:36 Christian Mack Note Added: 0003900
2012-06-06 05:50 kaiser Note Added: 0004022
2012-07-23 09:35 ludovic Note Added: 0004189
2012-07-23 09:35 ludovic Status new => closed
2012-07-23 09:35 ludovic Resolution open => fixed
2012-07-23 09:35 ludovic Fixed in Version => 1.3.16